#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-extras
version:              0.10.2
visibility:           public
id:                   primitive-extras-0.10.2-7Z59cFBcY1G7yhQzYGeR4Y
key:                  primitive-extras-0.10.2-7Z59cFBcY1G7yhQzYGeR4Y
license:              MIT
copyright:            (c) 2018, Metrix.AI
maintainer:           Nikita Volkov <nikita.y.volkov@mail.ru>
author:               Nikita Volkov <nikita.y.volkov@mail.ru>
homepage:             https://github.com/nikita-volkov/primitive-extras
synopsis:             Extras for the "primitive" library
description:
    Raw collection of extra utiltilies for the "primitive" library.

category:             Primitive
abi:                  e700e1c7945f337a2f6c1774b045f7c9
exposed:              True
exposed-modules:
    PrimitiveExtras.Bitmap PrimitiveExtras.By6Bits
    PrimitiveExtras.PrimArray PrimitiveExtras.PrimMultiArray
    PrimitiveExtras.SmallArray PrimitiveExtras.UnliftedArray

hidden-modules:
    PrimitiveExtras.FoldMs PrimitiveExtras.Folds
    PrimitiveExtras.Prelude PrimitiveExtras.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2
library-dirs:         /usr/lib/ghc-9.2.8/site-local/primitive-extras-0.10.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-extras
hs-libraries:         HSprimitive-extras-0.10.2-7Z59cFBcY1G7yhQzYGeR4Y
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    cereal-0.5.8.3-9zcITCTkqXtHoa6jbeSF22
    deferred-folds-0.9.18.6-KYZggDyEpLW9rr4DGG9oEZ
    focus-1.0.3.2-DVJ0EzM7Aki50iOWtvNNCr
    foldl-1.4.16-FvQoiHHcFK67fMFA8AZPaF
    list-t-1.0.5.4-qqHqlbOalp8C9Zfo1W9y1
    primitive-0.7.4.0-FVB8RLw7kwa2mbgh0KVHMG
    primitive-unlifted-0.1.3.1-5LeTfjDYmdD8p5ID2AglWj
    profunctors-5.6.2-5OpgspEUbplLWaTkoK7BoP
    vector-0.13.1.0-G7FmTKS6EuOC4CxSRTf251

haddock-interfaces:
    /usr/share/doc/haskell-primitive-extras/html/primitive-extras.haddock

haddock-html:         /usr/share/doc/haskell-primitive-extras/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

